package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.ClearingWithdrawInfo;
import com.jsowell.pile.vo.web.ClearingBillVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClearingWithdrawInfoMapper {
    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(ClearingWithdrawInfo record);

    int insertOrUpdate(ClearingWithdrawInfo record);

    int insertOrUpdateSelective(ClearingWithdrawInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(ClearingWithdrawInfo record);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    ClearingWithdrawInfo selectByPrimaryKey(Integer id);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(ClearingWithdrawInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(ClearingWithdrawInfo record);

    int updateBatch(List<ClearingWithdrawInfo> list);

    int batchInsert(@Param("list") List<ClearingWithdrawInfo> list);

    ClearingWithdrawInfo selectByWithdrawCode(String withdrawCode);

    ClearingBillVO selectWithdrawInfoByOrderCode(@Param("orderCode") String orderCode);

    List<ClearingBillVO> selectWithdrawInfoByOrderCodeList(@Param("orderCodeList") List<String> orderCodeList);

    List<ClearingWithdrawInfo> selectByMerchantId(@Param("merchantId") String merchantId);
}